package mobvista.dmp.datasource.personagraph;

public class Test implements Runnable {
    private boolean stop = false;
    public void setStop (boolean stop) {
        this.stop = stop;
    }
    @Override
    public void run() {
        try {
            while (true) {
                if (stop) {
                    System.out.println(stop);
                    break;
                }
                System.out.println("1");
                Thread.sleep(1000);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
